## ros-ros-environment 1.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ros_environment)
find_package(catkin REQUIRED)

catkin_package()

set(ROS_VERSION "1")
set(ROS_DISTRO "melodic")

# allow overriding the Python version
if(DEFINED ENV{ROS_PYTHON_VERSION})
  set(ROS_PYTHON_VERSION "$ENV{ROS_PYTHON_VERSION}")
else()
  set(ROS_PYTHON_VERSION "2")
endif()

# allow overriding the distro name
if(NOT $ENV{ROS_DISTRO_OVERRIDE} STREQUAL "")
  set(ROS_DISTRO "$ENV{ROS_DISTRO_OVERRIDE}")
endif()

set(
  hooks
  "1.ros_distro"
  "1.ros_etc_dir"
  "1.ros_package_path"
  "1.ros_version"
  "1.ros_python_version"
)
if(CMAKE_HOST_UNIX)
  set(shell "sh")
else()
  set(shell "bat")
endif()
foreach(hook ${hooks})
  catkin_add_env_hooks("${hook}" SHELLS ${shell} DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
endforeach()

=== debian/changelog ===
ros-ros-environment (1.2.1-2) unstable; urgency=medium

  * Restrict d/watch to ROS1
  * Add MA hint

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 02 Nov 2018 19:41:00 +0100

ros-ros-environment (1.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #907237)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 11 Oct 2018 07:39:24 +0200

=== debian/control ===
Source: ros-ros-environment
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 11), catkin (>= 0.7.14-5),
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/science-team/ros-ros-environment
Vcs-Git: https://salsa.debian.org/science-team/ros-ros-environment.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/ros_environment

Package: ros-environment
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Robot OS environment hooks
 This package is part of Robot OS (ROS). It provides hooks to set the
 environment variables ROS_VERSION, ROS_DISTRO, ROS_PACKAGE_PATH, and
 ROS_ETC_DIR.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-ros-environment-$1.tar.gz%" \
    https://github.com/ros/ros_environment/tags \
    (?:.*?/)?v?(1[\d.]*)\.tar\.gz debian uupdate

## ros-ros-environment 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,6 @@
 catkin_package()
 
 set(ROS_VERSION "1")
-set(ROS_DISTRO "melodic")
 
 # allow overriding the Python version
 if(DEFINED ENV{ROS_PYTHON_VERSION})
@@ -15,8 +14,10 @@
 endif()
 
 # allow overriding the distro name
-if(NOT $ENV{ROS_DISTRO_OVERRIDE} STREQUAL "")
-  set(ROS_DISTRO "$ENV{ROS_DISTRO_OVERRIDE}")
+if(DEFINED ENV{ROS_DISTRO_OVERRIDE})
+  set(ROS_DISTRO $ENV{ROS_DISTRO_OVERRIDE})
+else()
+  set(ROS_DISTRO "melodic")
 endif()
 
 set(

=== debian/changelog ===
ros-ros-environment (1.2.2-2) unstable; urgency=medium

  * Switch to Python 3
  * Drop version dep on catkin (version is in stable)
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 08:38:02 +0200

ros-ros-environment (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * Rebase patches
  * Override ROS version
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Oct 2019 18:59:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 11), catkin (>= 0.7.14-5),
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), catkin
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/ros-ros-environment
 Vcs-Git: https://salsa.debian.org/science-team/ros-ros-environment.git
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

export ROS_DISTRO_OVERRIDE=Debian
export ROS_PYTHON_VERSION=3

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-ros-environment-$1.tar.gz%" \
    https://github.com/ros/ros_environment/tags \
    (?:.*?/)?v?(1[\d.]*)\.tar\.gz

## ros-ros-environment 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(ros_environment)
 find_package(catkin REQUIRED)
 
@@ -10,14 +10,14 @@
 if(DEFINED ENV{ROS_PYTHON_VERSION})
   set(ROS_PYTHON_VERSION "$ENV{ROS_PYTHON_VERSION}")
 else()
-  set(ROS_PYTHON_VERSION "2")
+  set(ROS_PYTHON_VERSION "3")
 endif()
 
 # allow overriding the distro name
 if(DEFINED ENV{ROS_DISTRO_OVERRIDE})
   set(ROS_DISTRO $ENV{ROS_DISTRO_OVERRIDE})
 else()
-  set(ROS_DISTRO "melodic")
+  set(ROS_DISTRO "noetic")
 endif()
 
 set(

=== debian/changelog ===
ros-ros-environment (1.3.1-2) unstable; urgency=medium

  * Fix d/rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 12 Jun 2020 17:01:54 +0200

ros-ros-environment (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 11:02:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: devel
 Priority: optional
-Build-Depends: debhelper-compat (= 12), catkin
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), catkin
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/ros-ros-environment
 Vcs-Git: https://salsa.debian.org/science-team/ros-ros-environment.git
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

export ROS_DISTRO_OVERRIDE=Debian

execute_after_dh_auto_install:
	mv debian/*/usr/lib/*/pkgconfig debian/*/usr/share/
	rmdir -p --ignore-fail-on-non-empty debian/*/usr/lib/*

## ros-ros-environment 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,9 @@
 else()
   set(shell "bat")
 endif()
+if(CMAKE_HOST_WIN32)
+  catkin_add_env_hooks("_parent_package_path" SHELLS py DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
+endif()
 foreach(hook ${hooks})
   catkin_add_env_hooks("${hook}" SHELLS ${shell} DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
 endforeach()

=== debian/changelog ===
ros-ros-environment (1.3.2-4) unstable; urgency=medium

  * Properly restrict d/watch to ROS 1 versions

 -- Timo Röhling <roehling@debian.org>  Tue, 01 Oct 2024 22:10:10 +0200

ros-ros-environment (1.3.2-3) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Tue, 24 Sep 2024 22:11:50 +0200

ros-ros-environment (1.3.2-2) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 22 Dec 2020 09:55:34 +0100

ros-ros-environment (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 11 Oct 2020 13:23:56 +0200

=== debian/control ===
Source: ros-ros-environment
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Section: devel
Priority: optional
Build-Depends:
 catkin,
 debhelper-compat (= 13),
 dh-ros,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/ros-ros-environment
Vcs-Git: https://salsa.debian.org/science-team/ros-ros-environment.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/ros_environment

Package: ros-environment
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Robot OS environment hooks
 This package is part of Robot OS (ROS). It provides hooks to set the
 environment variables ROS_VERSION, ROS_DISTRO, ROS_PACKAGE_PATH, and
 ROS_ETC_DIR.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=ros

export ROS_DISTRO_OVERRIDE=Debian

=== debian/watch ===
version=4
opts=\
 filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
 downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
 searchmode=plain \
 https://api.github.com/repos/ros/ros_environment/git/matching-refs/tags/1 \
 https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
